library(mamlr)
load('/home/2917550/dk_nb_junk_Recall_2018-12-11 10:51:27.RData')
# args = commandArgs(trailingOnly=TRUE)
# es_super <- args[2]
# es_pwd <- args[1]
query <- paste0('{"query": {"bool": {"filter":[{"term":{"country": "',country,'"}}]}}}')

### Generate dfm based on words in model, to subset the features of the target dfm
dfm_words <- corpus(paste(colnames(model_final$PwGc), collapse = ' '), docnames = c(1)) %>%
  dfm(tolower = T, stem = F, remove_punct = T, valuetype = "regex", ngrams = 1)

out <- elasticizer(query, src = T, es_pwd = es_pwd, update = class_update, 
                   localhost = T, model_final = model_final, dfm_words = dfm_words, varname = 'junk')
print(out)

